# ComponentGSSlider (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ComponentGSSlider

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentGSSlider

-     public class ComponentGSSlider
      extends java.lang.Object

  This component allows to configure the coding model.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentGSSlider(org.eclipse.swt.widgets.Composite parent)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSelectionListener(org.eclipse.swt.events.SelectionListener listener)` Adds a selection listener
    `double` | `getSelection()` Gets the selection
    `void` | `setLayoutData(java.lang.Object data)` Sets layout data
    `void` | `setSelection(double selection)` Sets the selection

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentGSSlider

          public ComponentGSSlider(org.eclipse.swt.widgets.Composite parent)

      Creates a new instance.
      Parameters:
        `parent` -

  - ### Method Detail

    - #### addSelectionListener

          public void addSelectionListener(org.eclipse.swt.events.SelectionListener listener)

      Adds a selection listener
      Parameters:
        `listener` -

    - #### getSelection

          public double getSelection()

      Gets the selection
      Returns:

    - #### setLayoutData

          public void setLayoutData(java.lang.Object data)

      Sets layout data
      Parameters:
        `data` -

    - #### setSelection

          public void setSelection(double selection)

      Sets the selection
      Parameters:
        `selection` -